Update Custom Object Schema or standard objects like contact, opportunity, business searchable fields. To understand objects and records, please have a look at the documentation here : https://doc.cl
PUT https://services.leadconnectorhq.com/objects/{key}
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Path parameters
Name
Type
Required
Example
Description
key
string
Yes
custom_objects.pet
key of the custom or standard object. For custom objects, the key must include the prefix “custom_objects.”. This key can be found on the Object Details page under Settings in the UI.
Body
Name
Type
Required
Example
Description
labels
object
No
This is how your custom object will be displayed
description
string
No
These are non vaccinated pets
Pet Object`s description
locationId
string
Yes
632c34b4c9b7da3358ac9891
account id
searchableProperties
string[]
Yes
Searchable Fields: Provide the field key of your object that you want to search on, using the format (custom_object.<object_name>.<field_key>).
Responses
200 - Successful response
object (object)
id (string, required): id of the custom / standard object schema Example: 661c06b4ffde146bdb469442
standard (boolean, required): false in case of custom objects and true in case of standard objects like contacts and opportunities Example: False
key (string, required): key that would be used to refer the custom / standard Object internally (lowercase + underscore_separated). For custom objects, 'custom_objects.' would be added as prefix by default Example: custom_objects.pet
labels (object, required): This is what your custom / standard object will be called. These labels will be used to display your custom object on the UI
description (string): Custom / Standard Object Descriptions for example , Pet Objects description Example: These are non vaccinated pets`
locationId (string, required): account's id Example: Q9DT3OAqEXDLYuob1G32
primaryDisplayProperty (string, required): Primary property for the custom / standard Object. This would be used as primary data when rendering the UI. 'custom_objects.{{object_key}} or business.{{object_key}} (for company)' would be added as prefix by default for all the custom / standard objects Example: custom_objects.pet.name
dateAdded (string, required): Date and time when the object was added
dateUpdated (string, required): Date and time when the object was last updated
type (object): Objects Type Example: The Object type can either USER_DEFINED or SYSTEM_DEFINED`
json
{
"object": {
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"description": "These are non vaccinated pets",
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2024-01-15T10:30:00Z",
"dateUpdated": "2024-01-15T10:30:00Z",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
}